felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sahoo (JIRA)" <j...@apache.org>
Subject [jira] Created: (FELIX-519) maven-bundle-plugin should issue a WARNING for unsupported packaging types
Date Sun, 16 Mar 2008 13:00:24 GMT
maven-bundle-plugin should issue a WARNING for unsupported packaging types
--------------------------------------------------------------------------

                 Key: FELIX-519
                 URL: https://issues.apache.org/jira/browse/FELIX-519
             Project: Felix
          Issue Type: Bug
          Components: Maven Bundle Plugin
    Affects Versions: maven-bundle-plugin-1.4.1
         Environment: JDK 1.5 on Solaris x86, but it does not matter for this issue
            Reporter: Sahoo
            Priority: Minor
             Fix For: maven-bundle-plugin-1.4.1


My pom uses a custom packaging type called hk2-jar, which is similar to jar. I wanted to invoke
maven-bundle-plugin:bundle-manifest goal. So, I configured my pom.xml like this (Pleas note
the bug in specifying supportedProjectTypes options):
          <plugin>
               <groupId>org.apache.felix</groupId>
               <artifactId>maven-bundle-plugin</artifactId>
               <configuration>
                   <supportedProjectType>hk2-jar</supportedProjectType>
                   <supportedProjectType>jar</supportedProjectType>
                   <supportedProjectType>bundle</supportedProjectType>
               </configuration>
               <executions>
                   <execution>
                       <id>bundle-manifest</id>
                       <phase>process-classes</phase>
                       <goals>
                           <goal>manifest</goal>
                       </goals>
                   </execution>
               </executions>
           </plugin> 
Since, I did not extend the supportedProjectTypes to include hk2-jar, ideally the plugin should
have issued a WARNING message. Instead, it issues a DEBUG message if the project type is not
suitable. If I run with -X option, I see a debug message that says project type is not compatible.

Please change the plugin to issue a WARNING from maven-bundle-plugin rather than a DEBUG message.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message